Name:           apache-mime4j
Version:        0.7.2
Release:        %mkrel 15
Group:          Development/Java
Summary:        Apache JAMES Mime4j
License:        ASL 2.0
URL:            http://james.apache.org/mime4j
BuildArch:      noarch

Source0:        http://apache.online.bg//james/mime4j/apache-mime4j-project-%{version}-source-release.zip

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.james:james-project:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.apache.rat:apache-rat-plugin)
BuildRequires:  mvn(org.codehaus.mojo:javacc-maven-plugin)

%description
Java stream based MIME message parser.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-project-%{version}
rm -fr stage
# prevents rat plugin from failing the build
rm -fr DEPENDENCIES

# Compat symlinks for jboss-as
for p in core dom storage; do
  %mvn_file :*$p %{name}/%{name}-$p %{name}/$p
done

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc RELEASE_NOTES.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 0.7.2-15.mga6
+ Revision: 982547
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 0.7.2-14.mga6
+ Revision: 975460
- First rebuild of the java stack
- sync package apache-mime4j with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 0.7.2-10.mga5
+ Revision: 805857
- Clean rebuild
- Sync with Fedora 21
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-8.mga5
+ Revision: 740905
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-7.mga5
+ Revision: 677829
- Mageia 5 Mass Rebuild

* Wed Jan 08 2014 dmorgan <dmorgan> 0.7.2-6.mga4
+ Revision: 565544
- Fix BuildRequires

* Tue Oct 22 2013 umeabot <umeabot> 0.7.2-5.mga4
+ Revision: 545690
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 0.7.2-4.mga4
+ Revision: 501572
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 0.7.2-3.mga3
+ Revision: 345829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 0.7.2-2.mga3
+ Revision: 343661
- Fix buildrequires

* Sun Sep 09 2012 dmorgan <dmorgan> 0.7.2-1.mga3
+ Revision: 290987
- New version

* Wed Apr 27 2011 dmorgan <dmorgan> 0.6.1-2.mga1
+ Revision: 92250
- Rebuild after bootstrapping
- imported package apache-mime4j


* Wed Feb 23 2011 Alexander Kurtakov <akurtako@redhat.com> 0.6.1-1
- Initial package.
